package com.caimei.mapper;

import com.caimei.model.po.ClubUserPo;
import com.caimei.model.vo.UserLoginVo;
import com.caimei.model.vo.WxClubUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/15
 */
@Mapper
public interface LoginMapper {


    WxClubUserVo findClubUser(String openId);

    ClubUserPo findByInvitationCode(String invitationCode);

    void bindClubUser(@Param("mobile") String mobile, @Param("nickName") String nickName, @Param("openId") String openId, @Param("invitationCode") String invitationCode);
}
